#
# iCloudHosting Windows Startup Customisations
#
 
#
# Disable ChecksumOffload and LargeSendOffload for all Xen Network Devices.
#
$regpath = 'HKLM:\System\CurrentControlSet\Control\Class\{4D36E972-E325-11CE-BFC1-08002BE10318}'
Get-ChildItem -LiteralPath $regpath -ErrorAction SilentlyContinue | Where-Object { $_ -match '\\[0-9a-fA-F]{4}$' } | Where-Object { (Get-ItemProperty -Path $_.PsPath -Name ComponentId -ErrorAction SilentlyContinue).ComponentId -eq "xenvif\device&rev_02" } | foreach {
    $key = $_
    $driverName = (Get-ItemProperty -LiteralPath $key.PsPath -Name DriverDesc).DriverDesc
 
    Set-ItemProperty -LiteralPath $key.PsPath -Name *IPChecksumOffloadIPv4 -Value 0 -Type string
    Set-ItemProperty -LiteralPath $key.PsPath -Name *LSOV2IPv4 -Value 0 -Type string
    Set-ItemProperty -LiteralPath $key.PsPath -Name *LSOV2IPv6 -Value 0 -Type string
    Set-ItemProperty -LiteralPath $key.PsPath -Name *TCPChecksumOffloadIPv4 -Value 0 -Type string
    Set-ItemProperty -LiteralPath $key.PsPath -Name *TCPChecksumOffloadIPv6 -Value 0 -Type string
    Set-ItemProperty -LiteralPath $key.PsPath -Name *UDPChecksumOffloadIPv4 -Value 0 -Type string
    Set-ItemProperty -LiteralPath $key.PsPath -Name *UDPChecksumOffloadIPv6 -Value 0 -Type string
    Set-ItemProperty -LiteralPath $key.PsPath -Name LROIPv4 -Value 0 -Type string
    Set-ItemProperty -LiteralPath $key.PsPath -Name LROIPv6 -Value 0 -Type string
}